#include "memory/VMM.h"
#include "std/errno.h"
#include "sys/UserMemory.h"
#include "thread/Scheduler.h"

void sys_exit(Context* context, int status)
{
    Scheduler::task_exit(context, status);
}

void sys_yield(Context* context)
{
    context->rax = 0;
    Scheduler::task_yield(context);
}

void sys_sleep(Context* context, uint64_t ms)
{
    context->rax = 0;
    Task* task = Scheduler::current_task();
    task->task_sleep = ms;
    task->state = task->Sleeping;
    Scheduler::task_yield(context);
}