#!/usr/bin/env bash

set -e

source $(dirname $0)/env.sh

cd $LUNA_ROOT/ports

if ! [ -f ./ports.list ]
then
    echo "No ports built."
fi

install_port()
{
    export portdir=$PWD/$1
    export workdir=$portdir/workdir
    source $portdir/package.sh
    echo "installing port: $pkgname version $pkgver"
    mkdir -p $installdir
    cd $installdir
    port_install
}

while read package; do
   install_port $package
done < ./ports.list
